%{?mingw_package_header}

Name:           mingw-gnutls
Version:        3.7.7
Release:        %mkrel 3
Summary:        MinGW GnuTLS TLS/SSL encryption library

# The libraries are LGPLv2.1+, utilities are GPLv3+
License:        GPLv3+ and LGPLv2+
Group:          Development/Other
URL:            http://www.gnutls.org/
%define short_version %(echo %{version} | grep -m1 -o "[0-9]*\.[0-9]*" | head -1)
Source0:        https://www.gnupg.org/ftp/gcrypt/gnutls/v%{short_version}/gnutls-%{version}.tar.xz
Source1:        https://www.gnupg.org/ftp/gcrypt/gnutls/v%{short_version}/gnutls-%{version}.tar.xz.sig
Source2:        gnutls-release-keyring.gpg

BuildArch:      noarch

BuildRequires: make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-libtasn1 >= 4.3
BuildRequires:  mingw32-readline
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-p11-kit >= 0.23.1
BuildRequires:  mingw32-nettle >= 3.6

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-libtasn1 >= 4.3
BuildRequires:  mingw64-readline
BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-p11-kit >= 0.23.1
BuildRequires:  mingw64-nettle >= 3.6

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  byacc
BuildRequires:  gnupg2
BuildRequires:  gtk-doc
BuildRequires:  libtool
BuildRequires:  git

# Yes, really ...
BuildRequires:  pkgconfig

# For native /usr/bin/msgfmt etc.
BuildRequires:  gettext-devel


%description
GnuTLS TLS/SSL encryption library.  This library is cross-compiled
for MinGW.


# Win32
%package -n mingw32-gnutls
Summary:        MinGW GnuTLS TLS/SSL encryption library
Requires:       pkgconfig
Requires:       mingw32-libtasn1 >= 4.3

%description -n mingw32-gnutls
GnuTLS TLS/SSL encryption library.  This library is cross-compiled
for MinGW.

# Win64
%package -n mingw64-gnutls
Summary:        MinGW GnuTLS TLS/SSL encryption library
Requires:       pkgconfig
Requires:       mingw64-libtasn1 >= 4.3

%description -n mingw64-gnutls
GnuTLS TLS/SSL encryption library.  This library is cross-compiled
for MinGW.


%{?mingw_debug_package}


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -S git -n gnutls-%{version}

rm -f lib/minitasn1/*.c lib/minitasn1/*.h

%build
%mingw_configure \
    --enable-sha1-support \
    --disable-static \
    --disable-openssl-compatibility \
    --disable-non-suiteb-curves \
    --disable-libdane \
    --disable-rpath \
    --disable-nls \
    --disable-cxx \
    --enable-local-libopts \
    --enable-shared \
    --without-tpm \
    --with-included-unistring \
    --disable-doc \
    --with-default-priority-string="@SYSTEM"
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/*.la

# The .def files aren't interesting for other binaries
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/*.def
rm -f $RPM_BUILD_ROOT%{mingw64_bindir}/*.def

# Remove info and man pages which duplicate stuff in Fedora already.
rm -rf $RPM_BUILD_ROOT%{mingw32_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}/gnutls

rm -rf $RPM_BUILD_ROOT%{mingw64_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_docdir}/gnutls

# Remove test libraries
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/crypt32.dll*
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/ncrypt.dll*
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/crypt32.dll*
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/ncrypt.dll*
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/crypt32.a*
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/ncrypt.a*
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/crypt32.a*
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/ncrypt.a*


%files -n mingw32-gnutls
%license LICENSE doc/COPYING doc/COPYING.LESSER
%{mingw32_bindir}/certtool.exe
%{mingw32_bindir}/gnutls-cli-debug.exe
%{mingw32_bindir}/gnutls-cli.exe
%{mingw32_bindir}/gnutls-serv.exe
%{mingw32_bindir}/libgnutls-30.dll
%{mingw32_bindir}/ocsptool.exe
%{mingw32_bindir}/p11tool.exe
%{mingw32_bindir}/psktool.exe
%{mingw32_bindir}/srptool.exe
%{mingw32_libdir}/libgnutls.dll.a
%{mingw32_libdir}/libgnutls-30.def
%{mingw32_libdir}/pkgconfig/gnutls.pc
%{mingw32_includedir}/gnutls/

%files -n mingw64-gnutls
%license LICENSE doc/COPYING doc/COPYING.LESSER
%{mingw64_bindir}/certtool.exe
%{mingw64_bindir}/gnutls-cli-debug.exe
%{mingw64_bindir}/gnutls-cli.exe
%{mingw64_bindir}/gnutls-serv.exe
%{mingw64_bindir}/libgnutls-30.dll
%{mingw64_bindir}/ocsptool.exe
%{mingw64_bindir}/p11tool.exe
%{mingw64_bindir}/psktool.exe
%{mingw64_bindir}/srptool.exe
%{mingw64_libdir}/libgnutls.dll.a
%{mingw64_libdir}/libgnutls-30.def
%{mingw64_libdir}/pkgconfig/gnutls.pc
%{mingw64_includedir}/gnutls/




%changelog
* Mon Sep 26 2022 tv <tv> 3.7.7-3.mga9
+ Revision: 1892366
- Update to 3.7.7

* Tue Aug 02 2022 tv <tv> 3.7.1-3.mga9
+ Revision: 1874350
- Fix filelist
- BR bison + byacc

* Wed Mar 30 2022 umeabot <umeabot> 3.7.1-2.mga9
+ Revision: 1834734
- Mageia 9 Mass Rebuild

* Thu Apr 15 2021 daviddavid <daviddavid> 3.7.1-1.mga9
+ Revision: 1715855
- new version: 3.7.1

* Sat Sep 26 2020 tv <tv> 3.6.15-2.mga8
+ Revision: 1630238
- rebuild for new mingw stack

* Tue Sep 08 2020 daviddavid <daviddavid> 3.6.15-1.mga8
+ Revision: 1623634
- new version: 3.6.15

* Sat Jun 06 2020 daviddavid <daviddavid> 3.6.14-1.mga8
+ Revision: 1590670
- new version: 3.6.14

* Wed Apr 29 2020 daviddavid <daviddavid> 3.6.13-1.mga8
+ Revision: 1573250
- new version: 3.6.13

* Wed Feb 19 2020 umeabot <umeabot> 3.6.9-4.mga8
+ Revision: 1542851
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 daviddavid <daviddavid> 3.6.9-3.mga8
+ Revision: 1477099
- rebuild for new mingw-readline 8.0

* Tue Oct 01 2019 daviddavid <daviddavid> 3.6.9-2.mga8
+ Revision: 1448662
- rebuild for new migw-nettle 3.5.1

* Sun Aug 25 2019 daviddavid <daviddavid> 3.6.9-1.mga8
+ Revision: 1431995
- new version: 3.6.9

* Sat Jul 13 2019 daviddavid <daviddavid> 3.6.8-1.mga8
+ Revision: 1420889
- new version: 3.6.8

* Sun Feb 03 2019 daviddavid <daviddavid> 3.6.6-1.mga7
+ Revision: 1362908
- new version: 3.6.6
- remove merged upstream patches

* Thu Sep 20 2018 umeabot <umeabot> 3.6.3-2.mga7
+ Revision: 1279725
- Mageia 7 Mass Rebuild

* Wed Aug 29 2018 daviddavid <daviddavid> 3.6.3-1.mga7
+ Revision: 1255501
- new version: 3.6.3

* Tue Jun 26 2018 daviddavid <daviddavid> 3.6.2-1.mga7
+ Revision: 1239874
- new version: 3.6.2

* Wed May 11 2016 tv <tv> 3.4.11-1.mga6
+ Revision: 1012924
- new release
- rebuild for new mingw-nettle
- new release

* Mon Feb 08 2016 umeabot <umeabot> 3.1.11-9.mga6
+ Revision: 945194
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.11-8.mga5
+ Revision: 744188
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.11-7.mga5
+ Revision: 682443
- Mageia 5 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 3.1.11-6.mga4
+ Revision: 483841
- imported package mingw-gnutls

